Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deOGG Class Reference

`#include <deOGG.hpp>`

Inheritance diagram for deOGG:

[legend]
Collaboration diagram for deOGG:

[legend]
List of all members.

## Public Member Functions
| deOGG ()
| deOGG (char *filename)
virtual | ~deOGG ()
void * | GetInterface (int interface_id)
deBoolean | Initialize (const char *filename)
void | Destroy ()
int | GetDataChunk (void *ptr, long size, s32 DataOffset)
uint8 * | GetAllData ()
deBoolean | AtEndOfStream ()
void | SetPosition (long NewPos)
void | GetFormat (WAVEFORMATEX *format)
u32 | GetLength ()
IdeResourceBase * | MakeCopy ()
| create a copy of the object in memory
int | GetType ()
## Private Attributes
WAVEFORMATEX | m_Format
IdeFile * | m_pSource
IdeFSReal * | m_pSourceSystem
ogg_sync_state | m_oy
ogg_stream_state | m_os
ogg_page | m_og
ogg_packet | m_op
vorbis_info | m_vi
vorbis_comment | m_vc
vorbis_dsp_state | m_vs
vorbis_block | m_vb
DWORD | m_BufferSize
DWORD | m_CurrWritePos
DWORD | m_FillLength
DWORD | m_FillPos
DWORD | m_SecureDistance
DWORD | m_EmptyPos
int | m_InterfaceType
int | m_RefCount

## Constructor & Destructor Documentation

deOGG::deOGG | ( |  | ) |

deOGG::deOGG | ( | char * | filename | ) |

deOGG::~deOGG | ( |  | ) | `[virtual]`

## Member Function Documentation

deBoolean deOGG::AtEndOfStream | ( |  | ) | `[virtual]`

| Implements IdeSoundData.

void deOGG::Destroy | ( |  | ) | `[virtual]`

| Implements IdeSoundData.

uint8 * deOGG::GetAllData | ( |  | ) | `[virtual]`

| Implements IdeSoundData.

int deOGG::GetDataChunk | ( | void * | ptr,
|  | long | size,
|  | s32 | DataOffset
| ) | `[virtual]`

| Implements IdeSoundData.

void deOGG::GetFormat | ( | WAVEFORMATEX * | format | ) | `[virtual]`

| Implements IdeSoundData.

void * deOGG::GetInterface | ( | int | interface_id | ) |

u32 deOGG::GetLength | ( |  | ) | `[virtual]`

| Implements IdeSoundData.

int deOGG::GetType | ( |  | ) | `[inline, virtual]`

| Implements IdeSoundData.

deBoolean deOGG::Initialize | ( | const char * | filename | ) | `[virtual]`

| Implements IdeSoundData.

IdeResourceBase * deOGG::MakeCopy | ( |  | ) | `[virtual]`

| create a copy of the object in memory Implements deResourceBase.

void deOGG::SetPosition | ( | long | NewPos | ) | `[virtual]`

| Implements IdeSoundData.

## Member Data Documentation

DWORD deOGG::m_BufferSize`[private]`

DWORD deOGG::m_CurrWritePos`[private]`

DWORD deOGG::m_EmptyPos`[private]`

DWORD deOGG::m_FillLength`[private]`

DWORD deOGG::m_FillPos`[private]`

WAVEFORMATEX deOGG::m_Format`[private]`

int deOGG::m_InterfaceType`[private]`

ogg_page deOGG::m_og`[private]`

ogg_packet deOGG::m_op`[private]`

ogg_stream_state deOGG::m_os`[private]`

ogg_sync_state deOGG::m_oy`[private]`

IdeFile* deOGG::m_pSource`[private]`

IdeFSReal* deOGG::m_pSourceSystem`[private]`

int deOGG::m_RefCount`[private]`

DWORD deOGG::m_SecureDistance`[private]`

vorbis_block deOGG::m_vb`[private]`

vorbis_comment deOGG::m_vc`[private]`

vorbis_info deOGG::m_vi`[private]`

vorbis_dsp_state deOGG::m_vs`[private]`

The documentation for this class was generated from the following files:

- deOGG.hpp
- deOGG.cpp